.programs {
    z-index: 20;
    background: $red;
    position: relative;
    padding-bottom: rem(80);

    &__media {
        overflow: hidden;
        position: relative;
        border-radius: 20px;
        margin: rem(-70) rem(-15) rem(30) rem(-15);
    }

    &__header {
        color: $white;
        text-align: center;
        margin-bottom: rem(30);
    }

    &__main {
        margin: 0 rem(-15);
    }

    @include media-breakpoint-up(md) {
        padding-bottom: rem(110);

        &__header {
            max-width: rem(800);
            margin: 0 auto rem(62) auto;
        }

        &__media {
            margin: rem(-130) 0 rem(70) 0;
        }

        &__main {
            margin: 0;
        }
    }

    @include media-breakpoint-up(xl) {

        &__media {
            margin-top: rem(-210);
        }
    }
}

.program-item {
    color: $primary;
    background: $white;
    border-radius: 20px;
    padding: rem(35) rem(15);
    box-shadow: 0px 8px 12px rgba(0, 0, 0, 0.231373);

    &:not(:last-child) {
        margin-bottom: rem(30);
    }

    &__header {
        cursor: pointer;
        position: relative;
    }

    &__title {
        font-weight: 700;
        font-size: rem(22);
        line-height: rem(33);
        padding-top: rem(12);
    }

    &__content {
        font-weight: 400;
        font-size: rem(18);
        line-height: rem(30);
    }

    &__arrow {
        top: rem(16);
        right: 0;
        z-index: 10;
        font-size: 0;
        line-height: 0;
        height: rem(17);
        position: absolute;
        display: inline-block;
        transform: rotate(0deg);
        transition: .3s;
    }

    &__wrap {
        padding: rem(26) 0 0 rem(14);
    }

    &__list {
        margin: 0;
        padding: 0;
        list-style: none;
        display: grid;
        grid-row-gap: rem(20);
        grid-template-columns: 1fr;

        li {
            position: relative;
            padding-left: rem(60);

            &:before {
                top: 0;
                left: 0;
                content: '';
                width: rem(30);
                height: rem(30);
                position: absolute;
                border-radius: 50%;
                border: 7px solid $gray-light;
            }
        }
    }

    &.open {

        .program-item {

            &__arrow {
                transform: rotate(180deg);
                transition: .3s;
            }
        }
    }

    @include media-breakpoint-up(md) {
        padding: rem(35) rem(35);

        &__header {
            padding-right: rem(80);
            display: flex;
            align-items: center;
        }

        &__icon {
            width: rem(80);
            flex-shrink: 0;
        }

        &__title {
            padding-top: 0;
        }

        &__arrow {
            right: 0;
            top: calc(50% - 0.5rem);
        }

        &__wrap {
            padding-top: rem(50);
            padding-left: rem(80);
            padding-bottom: rem(20);
        }

        &__list {
            grid-row-gap: rem(30);
            grid-column-gap: rem(30);
            grid-template-columns: 1fr 1fr;
        }
    }

    @include media-breakpoint-up(lg) {

        &__list {
            grid-template-columns: 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xl) {
        padding: rem(51) rem(56);

        &__header {
            min-height: rem(94);
        }

        &__wrap {
            padding-left: rem(100);
        }

        &__title {
            max-width: rem(840);
            font-size: rem(31);
            line-height: rem(47);
        }

        &__icon {
            width: rem(110);
        }

        &__list {
            grid-row-gap: rem(40);
            grid-column-gap: rem(100);
        }
    }
}


@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
